
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>用JDOM简化XML编程 / iVAN</title>

    <meta name="description" content="用JDOM简化XML编程 作为开发人员,您可能听说过 80-20 规则,在其它领域被称为 Pareto 法则:一种过程或方法能适应所有可能情况的 80%,另外的 20% 则需要根据具体情况来处理.软件开发的必然结果是:对于开发人员而言,有了给定的技术后就能非常容易地完成可能要做的工作的 80%. 当然,软件产品和标准并不总是根据 80-20 规则发展的.特别的,Java XML 的缺陷就是这条规则的一个例外.Java 的编程世界拥有很多的 API -- 一些是自己开发的,一些是由几个大公司开发并被制定为标准的 -- 他们">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">用JDOM简化XML编程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>作为开发人员，您可能听说过 80-20 规则，在其它领域被称为 Pareto 法则：一种过程或方法能适应所有可能情况的 80%，另外的 20% 则需要根据具体情况来处理。软件开发的必然结果是：对于开发人员而言，有了给定的技术后就能非常容易地完成可能要做的工作的 80%。</p>
<p>当然，软件产品和标准并不总是根据 80-20 规则发展的。特别的，Java XML 的缺陷就是这条规则的一个例外。Java 的编程世界拥有很多的 API -- 一些是自己开发的，一些是由几个大公司开发并被制定为标准的 -- 他们提供了解决特殊 XML 任务的成熟解决方案。作为 XML 普遍性的证明，每个新任务都存在着一种新技术，但如何将它们结合在一起，又如何寻找一种合适的工具去完成必须重复做的任务中的 80% -- 利用 Java 语言的直观映象的基本 XML 树操作？JDOM 正好是用来解决上述问题的一个 XML API。</p>
<p>标记：Java 和 XML</p>
<p>在许多方面，Java 语言已变成供 XML 选择的一种编程语言。由于 Apache 软件基金会和 IBM alphaWorks 所做的开创性工作，现在已有完整的工具链用于创建，操作，传送文档和对 XML 文档进行语法分析。</p>
<p>但是，虽然许多 Java 开发人员每天都在使用 XML，Sun 却在将 XML 整合进 Java 平台方面落后了。因为在 XML 成为从商家对商家集成到 Web 站点内容流水化等方面的关键技术之前，Java 2 平台就已经非常流行了。Sun 已经使用 JSR 过程使之成为现存 XML API 的鼻祖，这一点已被广泛接受。目前最显著的是加入了 JAXP （用于 XML 语法分析的 Java API），其中包含了三个软件包：</p>
<p>org.w3c.dom ，W3C 推荐的用于 XML 标准规划文档对象模型的 Java 工具</p>
<p>org.xml.sax ，用于对 XML 进行语法分析的事件驱动的简单 API</p>
<p>javax.xml.parsers ，工厂化工具，允许应用程序开发人员获得并配置特殊的语法分析器工具</p>
<p>尽管对于 Java 开发人员而言，有了这些软件包是件好事，但它仅仅代表获得了现有 API 标准的正式许可而已，并没有在提供一流的 Java-XML 互操作性方面取得了巨大飞跃。核心 Java 平台所缺乏的是将 XML 文档作为 Java 对象操作的直观接口。</p>
<p>进入 JDOM。JDOM 是两位著名的 Java 开发人员兼作者，Brett Mclaughlin 和 Jason Hunter 的创作成果， 2000 年初在类似于 Apache 协议的许可下，JDOM 作为一个开放源代码项目正式开始研发，JDOM 作为一个开放源代码项目正式开始了。它已成长为包含来自广泛的 Java 开发人员的投稿、集中反馈及错误修复的系统，并致力于建立一个完整的基于 Java 平台的解决方案，通过 Java 代码来访问、操作并输出 XML 数据。</p>
<p>这是 JDOM 适合的 API、哑元</p>
<p>JDOM 能够替换 org.w3c.dom 软件包来有计划地操作 XML 文档。它并不是一个简单的替代品，实际上 JDOM 和 DOM 能够愉快地并存。另外，尽管它提供的类的封装从配置和运行分析器执行中分担了大量工作，但它不负责根据文本输入来对 XML 进行语法分析。JDOM 建立在现有的 API 的能力之上，正如项目网页所表述的“一个更好的捕鼠器”。</p>
<p>要理解需要备用 API 的原因，就要考虑 W3C DOM 设计的局限性：</p>
<p>语言独立。DOM 并不是用人们心目中的 Java 语言设计的。虽然这种方法保留了在不同语言中非常相似的 API，它也使那些习惯 Java 语言的程序员感到更麻烦。例如：Java 语言内建了一种 String 类，而 DOM 则规范定义了自己的 Text 类。</p>
<p>严格的层次结构。DOM API 直接沿袭了 XML 规范。在 XML 中，每件东西都是一个结点，因此您能在 DOM 中找到一个几乎每件东西都可以扩展的基于 Node 的接口和返回 Node 的一系列方法。就多态性的观点来讲，它是优秀的，但鉴于如上解释，它在 Java 语言中的应用是困难而且不便的，其中从 Node 向叶类型作显式下拉会导致代码的冗长和难以理解。</p>
<p>接口驱动。公共 DOM API 仅由接口组成（ Exception 类是一个例外，但恰恰足够了）。w3c 对提供实现并不感兴趣，它只对定义接口（比较有意义）感兴趣。但它也意味着作为 Java 程序员使用 API 在创建 XML 对象时增加了分散程度，因为 w3c 标准大量使用工厂化的类和类似的灵活的但不直接的模式。在某些应用中，XML 文档是仅由语法分析器建立的，而从不会由应用程序级代码建立，这是不相关的。但是，随着 XML 更广泛的使用，并不是所有问题都继续需要由语法分析器来驱动。应用程序的开发人员需要一个更方便的方法有计划地构造 XML 对象。</p>
<p>对于程序员，这些约束意味着庞大（在内存占用和接口大小方面）的和难掌握的 API，学习和使用都很难。相反，JDOM 是作为一种轻量级 API 被制定的，最主要的是它是以 Java 为中心的。它在遵循 DOM 主要规则的基础上除去了上述缺点：</p>
<p>JDOM 是 Java 平台专用的。只要有可能，API 都使用 Java 语言的内建 String 支持，因此文本值也适用于 String 。它还可利用 Java 2 平台的类集，如 List 和 Iterator ，给程序员提供了一个丰富的并且和 Java 语言类似的环境。</p>
<p>没有层次性。在 JDOM 中，XML 元素就是 Element 的实例，XML 属性就是 Attribute 的实例，XML 文档本身就是 Document 的实例。由于在 XML 中所有这些都代表了不同的概念，因此它们总是作为自己的类型被引用，而不是作为一个含糊的“结点”。</p>
<p>类驱动。因为 JDOM 对象就是像 Document 、 Element 和 Attribute 这些类的直接实例，因此创建一个新 JDOM 对象就如在 Java 语言中使用 new 操作符一样容易。它还意味着不需要进行工厂化接口配置 -- JDOM 的使用是直截了当的。</p>
<p>看，没有 Node ：建立和操作 JDOM 文档</p>
<p>JDOM 使用标准的 Java 编码模式。只要有可能，它使用 Java new 操作符而不用复杂的工厂化模式，使对象操作即便对于初学用户也很方便。例如，让我们看一下如何随便使用 JDOM 建立一个简单的 XML 文档。我们将要建立的结构如清单 1 所示。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 09:12:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%af%ad%e8%a8%80/" title="语言">语言</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91/" title="开发">开发</a>, <a href="https://www.iamivan.net/tag/java-api/" title="java  api">java  api</a>, <a href="https://www.iamivan.net/tag/jdom/" title="jdom">jdom</a>, <a href="https://www.iamivan.net/tag/xml-java/" title="xml java">xml java</a>, <a href="https://www.iamivan.net/tag/java-xml/" title="java xml">java xml</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>用JDOM简化XML编程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpd0kdp.html" rel="bookmark">浅出Java 的Xml编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|编程 对于Xml,我的认识是,一个用来存放数据的标准格式.怎么看我都觉得XML和Html,完全不一样,也许仅仅只是都使用了标记来作为文档解释的原因吧.所以人们才喜欢把XML和HTML对比来看.对于我个人而言,XML就是一个简单方便的数据文件.因为.它不同与一般的关系型数据库,把数据看出二维表.通过基本的关系运算,获取二维表中的数据.XML仅仅把数据当成一个文档,然后正对文档解析获取数据.所以我的看法是,要操作XML文档,只要一个能够解释XML的文档解释器就可以了.然后把解释的内容.转变成			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaA2Xb.html" rel="bookmark">利用JAVA技术进行XML编程（第一部分）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|编程 在过去几年中,XML 已经成为一种通用的数据格式.这篇经过修订的教程将向您介绍 Java 语言中处理 XML 文档最常用的编程接口. 最普通的 XML 处理工作是 解析 XML 文档.解析包括读取 XML 文档并确定其结构和内容.XML 编程的一个好处是可以使用开放源代码的.免费的 XML 解析器读取 XML 文档.本教程主要讨论创建解析器对象.要求解析器处理 XML 文件.处理解析结果.如您所料,可以使用不同的方式完成这类常见的任务:我将分析所涉及到的标准以及什么时候应该使用这种			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo34Vb.html" rel="bookmark">JDOM操作XML文件&lpar;法老修正版&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				dom|xml 原文:JDOM操作XML文件地址:http://www.jspcn.net/htmlnews/200120272.html---------------------------------------------------------------------------    这篇文章讲的不错~把JDOM的基本操作实例化了,不过由于当时的作者用的JDOM版本还比较陈旧,所以部分代码会编译出错!支持中文也不好!所以,法老在原作者的基础上对程序做了修改!休正了编译出错以及中文乱码的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQkm8p.html" rel="bookmark">教您快速上手使用JDOM处理XML文档的技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				dom|xml|技巧 JDOM的介绍以及与JAXB的比较 Java + XML = JDOM ! 这就是JDOM设计者的目标.如果你曾经使用过烦人的SAX或是DOM来处理XML,你就会知道为什么要有JDOM或者是JAXB.在JavaOne会议上JDOM的主要创始人Jason Hunter有一篇精彩的演讲介绍了JDOM技术,题目就是JDOM Makes XML Easy. 在那篇文档里,JDOM被拿来与DOM比较,而我更愿意拿它同JAXB比较.因为JAXB和JDOM都是为了在Java中提供比DOM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apX6mWb.html" rel="bookmark">java的xml编程&lpar;sax&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|编程 当前SAX API有两个版本.我们用第二版(见资源)来做示例.第二版中的类名和方法名与第一版都有出入,但是代码的结构是一样的. SAX是一套API,不是一个解析器,所以这个代码在XML解析器中是通用的.要让示例跑起来,你将需要一个支持SAX v2的XML解析器.我用Apache的Xerces解析器.(见资源)参照你的解析器的getting-started文档来获得调用一个SAX解析器的资料. SAX API 的说明书通俗易读.它包含了很多的详细内容.而使用SAX API的主要任务就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvOQ6p.html" rel="bookmark">用JDOM处理XML文档</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				dom|xml 转载于cnjsp.com.作者:AYellow [2002-04-09]关键词:Java.JDOM.XML.JAXB欢迎与我讨论(boyofjava@sina.com) (一)JDOM的介绍以及与JAXB的比较 Java + XML = JDOM !这就是JDOM设计者的目标.如果你曾经使用过烦人的SAX或是DOM来处理XML,你就会知道为什么要有JDOM或者是JAXB.在今年(2002)的JavaOne会议上JDOM的主要创始人Jason Hunter有一篇精彩的演讲介绍了JD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNKP0b.html" rel="bookmark">Linq To Xml学习 － 2&period;LINQ to XML编程概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				LINQ to XML 类概述 XAttribute 类 XAttribute 表示一个 XML 属性. XCData 类 XCData 表示一个 CDATA 文本节点. XComment 类 XComment 表示一个 XML 注释. XContainer 类 XContainer 是适用于可能具有子节点的所有节点的抽 象基类.下面的类派生自 XContainer 类: XElement XDocument XDeclaration 类 XDeclaration 表示一个 XML 声明.XML			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPwwjM.html" rel="bookmark">&lbrack;JAVA100例&rsqb;071、使用JDOM操作XML</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				import org.jdom.*; import org.jdom.output.*; import java.io.*; import java.util.List; /** * &lt;p&gt;Title: 使用JDOM操作XML文件.&lt;/p&gt; * &lt;p&gt;Description: &lt;/p&gt; * &lt;p&gt;Copyright: Copyright (c) 2003&lt;/p&gt; * &lt;p&gt;Filename: JDOMOption.java			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7goAM.html" rel="bookmark">java 使用JDOM解析xml文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java中如何使用JDOM解析xml文件呢?以下小编就用实例为大家详细的介绍一下.需要的朋友可以参考下   JDOM是一个开源项目,它基于树型结构,利用纯JAVA的技术对XML文档实现解析.生成.序列化以及多种操作.JDOM直接为JAVA编程服务.它利用更为强有力的JAVA语言的诸多特性(方法重载.集合概念以及映射),把SAX和DOM的功能有效地结合起来. JDOM的官方地址:http://www.jdom.org/1.首先新建一个接口和2个类,为后续做准备[Moveable.java] 复制代			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQNQoM.html" rel="bookmark" class="title">数组-labview问题，变体转换成数据问题</a>
					<div>
						问题描述 labview问题,变体转换成数据问题 如果日期输入4就可以输出矩阵,如果不是4,不能显示矩阵,换成数组也不行,错误2显示是:未命名 2.vi中的类型不匹配.不用转换成数据,直接用变体显示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP870p.html" rel="bookmark" class="title">PHP&plus;JavaScript&plus;HTML实现注册界面表单及日历控件</a>
					<div>
						        本文主要是介绍我做PHP网站时的一个HTML的简单静态界面,它的主要功能是用户注册界面,并且参照了网上的例子使用JavaScript判断和My97DatePicker的日历控件.界面效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDkKOp.html" rel="bookmark" class="title">零距离观察蚂蚁&plus;阿里中的大规模机器学习框架</a>
					<div>
						本文根据蚂蚁金服的资深技术专家周俊在蚂蚁金服&amp;阿里云在线金融技术峰会上&lt;大规模机器学习在蚂蚁+阿里的应用&gt;的分享整理而成.在分享中,周俊详细介绍了阿里巴巴大规模机器学习框架--参数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ35Jb.html" rel="bookmark" class="title">Ajax&plus;servlet实例</a>
					<div>
						ajax|servlet Ajax异步请求,servlet产生随机数据,Html页面无刷新显示.运行环境:jdk1.5+tomcat 5.5 一.ajaxServlet.java package co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGQ8EM.html" rel="bookmark" class="title">splice 方法</a>
					<div>
						  从一个数组中移除一个或多个元素,如果必要,在所移除元素的位置上插入新元素,返回所移除的元素. arrayObj.splice(start, deleteCount, [item1[, item2[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJmZ8p.html" rel="bookmark" class="title">WEBJX收集整理非常不错的10个JQuery网站</a>
					<div>
						文章简介:我是一个Web开发人员,我很喜欢JQuery.我喜欢在网上找到的一些新的有趣的东西来做研究.我还总在JAdobe Flash和微软Silverlight平台上比较JQuery,每次都能找到两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyZK8p.html" rel="bookmark" class="title">用Photoshop制作超酷流星效果</a>
					<div>
						先看看效果吧. 1.首先在新建立一个文档.我在这用300*500象素,然后用渐变工具填充由黑色到暗蓝色的渐变. 2.现在,选择画笔工具调整画笔的大小在180-240之间,画笔的硬度设置为0.而后,新建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX66lb.html" rel="bookmark" class="title">最近忙于FTP，好站多多！有好多好东东哦！不敢独享！</a>
					<div>
						地区网络中心FTP站点:东北地区网络中心FTP ftp://ftp.synet.edu.cn 西北地区网络中心FTP ftp://ftp.xanet.edu.cn 华北地区网络中心FTP ftp:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boYq3p.html" rel="bookmark" class="title">提升PHP性能之改变Zend引擎分发方式</a>
					<div>
						  从PHP5.1开始,PHP提供了用户对Zend VM执行分发方式的选择接口. 之前的文章中, 我也提过这方面的内容, Zend虚拟机在执行的时候, 对于编译生成的op_array中的每一条opli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGvgkp.html" rel="bookmark" class="title">Flash 8&period;0绘制百事可乐标志教程&lpar;视频教程&rpar;</a>
					<div>
						教程|视频教程 以前我们要想制作一些特殊的效果,我们需要在Photoshop等软件来制作,总感觉用FLASH很难开发一些特殊的效果!而如今好了,FLASH8.0给你提供了一个充分展示你才华的机会. 百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDlVXz.html" rel="bookmark" class="title">第三方平台：网站流量倍增的秘密</a>
					<div>
						  做网站最怕的是没流量,没流量就没有收入,没有收入就失去了做网站的动力.如何获得稳定可靠的流量,是每一个站长每天都在思考的问题.网站流量的获取方法很多,常见的网络推广手段也很多,我在这里想说的是,利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm76owb.html" rel="bookmark" class="title">无线干扰的分类和来源有哪些</a>
					<div>
						无线干扰按照类型可划分为WLAN干扰和非WLAN干扰.WLAN干扰是指干扰源发送的RF信号也符合802.11标准,除此之外都是非WLAN干扰.对WLAN干扰,可进一步按照频率范围分为同频干扰和邻频干扰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7dLAM.html" rel="bookmark" class="title">MySQL 5&period;0在windows上的安装详细介绍</a>
					<div>
						使用自动化安装程序自动安装MySQL 新的MySQL 5.0用户可以使用MySQL安装向导和MySQL配置向导在Windows上安装Mysql.设计这两个向导的目的就是为了方便新用户能够很快的使用My ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kEGaz.html" rel="bookmark" class="title">JSP中调用SQL Server存储过程实例讲解</a>
					<div>
						下面介绍一个JSP调用SQL Server存储过程的实例: 创建表: CREATE TABLE [BookUser] (     [UserID] [int] IDENTITY (1, 1) NOT  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOX7wb.html" rel="bookmark" class="title">sql server 2000 版本查询</a>
					<div>
						  确定已安装的 SQL Server 2000 Database Components 版本 使用 isql.osql 或查询分析器,对数据库引擎实例执行以下查询之一. SELECT SERVERP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBQlnz.html" rel="bookmark" class="title">斯巴达浏览器和ie哪个好？</a>
					<div>
						  从很早的时候开始,在微软系统捆绑的软件中,IE的不受欢迎程度一直居高不下.功能落后于别的浏览器,又极易受到恶意攻击,这样糟糕的体验又是捆绑的程序,难怪用户对其越来越没好感.当时各种舆论都在讨论 I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3W4xp.html" rel="bookmark" class="title">利用PS自定义画笔制作漂亮的毛线衣</a>
					<div>
						效果图毛线比较多,其实都是由一个非常简单的图形笔刷画出来的.制作的时候只需要先定义这款画笔,然后画出实物的轮廓,用画笔画一条毛线,并用图层样式等加上颜色及浮雕效果.把得到的毛线复制,改色得到整块毛织效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkeJLb.html" rel="bookmark" class="title">酷狗音乐盒2015怎么设置伴唱并录音</a>
					<div>
						  首先打开酷狗音乐,点击卡拉OK模式进入. 然后直接切换到伴唱,要注意有些歌曲是没有伴唱的,可能是没有资源的原因吧! 等歌曲全部缓冲完毕的时候就可以选择录音了.点击开始录音. 然后你对着麦克风跟着伴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa4Jkz.html" rel="bookmark" class="title">小黄鸡聊天机器人电脑版网址</a>
					<div>
						  小黄鸡聊天网页版地址:http://www.xiaohuangji.com/ 小黄鸡聊天网页版聊天技巧: 1.回复&quot;翻译&quot;可以中英互译 2.回复&quot;笑话&quot;可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6qZ1b.html" rel="bookmark" class="title">强大网页分析解析辅助xpath插件，轻松得到xpath路径采集必备</a>
					<div>
						每天分享一篇原创文章,今天我们来看看一个好用的xpath插件,让你使用xpath得心应手. XPath 使用路径表达式来选取 XML 文档中的节点或节点集.节点是通过沿着路径 (path) 或者步 ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKEZoM.html" rel="bookmark" class="title">python-sqlalchemy问题   对象copy失败</a>
					<div>
						问题描述 sqlalchemy问题 对象copy失败 orderDetailServer = self.db.query(OrderDetailServer).filter_by(id=id).fir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKarvb.html" rel="bookmark" class="title">oracle表记录导入导出-oracle数据库的几张表的记录导入导出</a>
					<div>
						问题描述 oracle数据库的几张表的记录导入导出 在项目组,为了实现把oracle数据库中几张表的数据从一个生产环境导出再导入另一个生产环境,怎样通过前台页面来实现导入导出功能? 解决方案 前台页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX4jVz.html" rel="bookmark" class="title">我写了一个自动单元测试系统，用它来编译一个测试程序，应该调用什么命令？怎么调用啊？</a>
					<div>
						问题描述 packagesrc;importjunit.framework.TestCase;publicclasstesthelloextendsTestCase{privatehellohello ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKxXdb.html" rel="bookmark" class="title">恒生电子的经纪事业部做什么的</a>
					<div>
						问题描述 要去恒生电子实习了,想了解下恒生电子经纪业务事业部这个部分做什么方面的,还有资产管理事业部?发展如何?希望能得到你的解答, 解决方案 解决方案二:恒生的啊,好像很牛的样子					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgkVkM.html" rel="bookmark" class="title">请教，myeclipse下载swing插件，我快吐血了。</a>
					<div>
						问题描述 按照提示help---&gt;updatesoftware---&gt;findandinstall---&gt;searchfornewfeaturetoinstall然后就是不出现那个M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M126r3p.html" rel="bookmark" class="title">大数据将如何影响社会媒体指标和Facebook的广告策略</a>
					<div>
						社交媒体和大数据如此相互关联,以至于它们几乎成了某些圈子的同义词.事实上,大多数专家认为,世界上超过90%的数据是在过去几年中创建的,其中大部分与社交媒体有关. 在这个信息的海洋中,超过80%的信息属 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZYaep.html" rel="bookmark" class="title">asm-oracle  ASM 文件总是分布在该磁盘组中的所有ASM 磁盘上 如何保证数据安全</a>
					<div>
						问题描述 oracle ASM 文件总是分布在该磁盘组中的所有ASM 磁盘上 如何保证数据安全 ASM 的一个特有优势是可基于文件而不是卷进行镜像.因此,同一磁盘组可以包含镜像文件或非镜像文件的组合. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0neKPz.html" rel="bookmark" class="title">211万美元赵丹阳赴巴菲特天价宴</a>
					<div>
						新快报讯 据&lt;上海证券报&gt;报道,纽约当地时间24日,去年以211万美元夺标的知名投资人赵丹阳在纽约与股神巴菲特共进午餐.在24日接受彭博电视采访时,赵丹阳说,正是受到巴菲特投资理念的影响, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEAN7p.html" rel="bookmark" class="title">javascript中&percnt;求余数或取模的例子</a>
					<div>
						js中取余数 0%4 0 1%4 1 2%4 2 3%4 3 4%4 0 5%4 1 例子 //以分钟为基数,获取分钟包含的天.小时.分钟 function getCostTime(minutes){ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYxyAb.html" rel="bookmark" class="title">maven导入一个jar包的问题</a>
					<div>
						问题描述 各位帮忙看看,万分感谢我有一个IKAnalyzer3.2.8.jar,普通的jar包需要导入到一个项目中mahout在pom.xml中加入&lt;!--kenny--&gt; Java代码  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
